Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIAjaxLog

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractAjaxLog
                  org.richfaces.component.UIAjaxLog

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.1.Final"})
    public class UIAjaxLog

extends AbstractAjaxLog

The <a4j:log> component generates JavaScript that opens a debug window, logging application information such as requests, responses, and DOM changes.

Author:
  Nick Belaevski

Nested Class Summary
`protected static class` | `UIAjaxLog.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIAjaxLog()`

Method Summary
`String` | `getFamily()`
`String` | `getLevel()` Sets the logging level, can be one of "ERROR", "FATAL", "INFO", "WARN", "ALL"
`org.richfaces.component.LogMode` | `getMode()` Determines how the log appears on the page, can be one of: "inline", "popup".
`String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
`String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
`void` | `setLevel(String level)`
`void` | `setMode(org.richfaces.component.LogMode mode)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIAjaxLog

    public UIAjaxLog()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getLevel

    public String getLevel()

  Description copied from class: `AbstractAjaxLog`
  Sets the logging level, can be one of "ERROR", "FATAL", "INFO", "WARN", "ALL"

  Specified by:
    `getLevel` in class `AbstractAjaxLog`

### setLevel

    public void setLevel(String level)

### getMode

    public org.richfaces.component.LogMode getMode()

  Description copied from class: `AbstractAjaxLog`
  Determines how the log appears on the page, can be one of: "inline", "popup". When set to "popup", the popup window is opened by pressing the key combination Ctrl + Shift + L

  Specified by:
    `getMode` in class `AbstractAjaxLog`

### setMode

    public void setMode(org.richfaces.component.LogMode mode)

### getStyle

    public String getStyle()

  Description copied from class: `AbstractAjaxLog`
  CSS style(s) to be applied when this component is rendered.

  Specified by:
    `getStyle` in class `AbstractAjaxLog`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Description copied from class: `AbstractAjaxLog`
  Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getStyleClass` in class `AbstractAjaxLog`

### setStyleClass

    public void setStyleClass(String styleClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.